%define module	DBD-SQLite
%define name	perl-%{module}
%define version	1.14
%define release	%mkrel 5

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Self Contained RDBMS in a DBI Driver
License:	GPL
URL:		http://search.cpan.org/dist/%{module}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/DBD/%{module}-%{version}.tar.bz2
# http://rt.cpan.org/Public/Bug/Display.html?id=32100
Patch:      perl-DBD-SQLite-1.14-fix-tests.patch
Group:		Development/Perl
BuildRequires:	perl-devel
BuildRequires:	perl(DBI) >= 1.03-1mdk
BuildRequires:  sqlite3-devel	
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
SQLite is a small fast embedded SQL database engine.

DBD::SQLite embeds that database engine into a DBD driver, so
if you want a relational database for your project, but don't
want to install a large RDBMS system like MySQL or PostgreSQL,
then DBD::SQLite may be just what you need.

It supports quite a lot of features, such as transactions (atomic
commit and rollback), indexes, DBA-free operation, a large subset
of SQL92 supported, and more.

%prep
%setup -q -n %{module}-%{version}
%patch -p 1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CCFLAGS="%{optflags} -DNDEBUG=1 -DSQLITE_PTR_SZ=4"

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README* Changes
%{perl_vendorarch}/DBD
%{perl_vendorarch}/auto/DBD
%{_mandir}/*/*





%changelog
* Sun Aug 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.14-5mdv2009.0
+ Revision: 273082
- fix tests, using debian patch
- re-enable all tests

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Sun Feb 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.14-2mdv2008.1
+ Revision: 169871
- disable failing tests, as a module with a few issues is better than no module
  at all

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.14-1mdv2008.1
+ Revision: 97440
- update to new version 1.14


* Sun Dec 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.13-2mdv2007.0
+ Revision: 98263
- fix build dependencies

* Sat Dec 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.13-1mdv2007.1
+ Revision: 98198
- new version

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org> 1.12-2mdv2007.0
+ Revision: 53730
- rebuild
- Import perl-DBD-SQLite

* Fri Apr 14 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-1mdk
- New release 1.12
- better source URL
- better buildrequires syntax

* Tue Dec 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.11-1mdk
- new version
- fix directory ownership

* Tue Sep 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.09-2mdk 
- rebuild to link against external library
- spec cleanup
- %%mkrel

* Wed Jun 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.09-1mdk
- 1.09
- spec cleanups

* Mon Mar 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.08-1mdk
- new veresion 1.08

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.07-2mdk 
- rebuild for new perl
- remove README.urpmi

* Fri Oct 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.07-1mdk
- 1.07.

* Wed Aug 11 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.03-1mdk
- 1.03.
- Remove patch 1.

* Thu Jul 29 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.00-1mdk
- 1.00, incompatible format with previous versions.
- Remove MANIFEST, add README.update.urpmi.
- Patch to prevent interactivity in Makefile.PL

* Tue May 18 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.31-2mdk
- Fix compile FLAGS

